commit:     7018d2e44d4db81c8678fe83aa54f89b0203574b
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Thu Jan  9 19:27:20 2025 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Thu Jan  9 21:21:56 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7018d2e4

dev-lang/typescript: bump to 5.7.3

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 dev-lang/typescript/Manifest                |  1 +
 dev-lang/typescript/typescript-5.7.3.ebuild | 43 +++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/dev-lang/typescript/Manifest b/dev-lang/typescript/Manifest
index 2b9db34b5f0f..2784c30f921f 100644
--- a/dev-lang/typescript/Manifest
+++ b/dev-lang/typescript/Manifest
@@ -1 +1,2 @@
 DIST typescript-5.7.2.tgz 4231797 BLAKE2B 
cb399f4d52613796145f8426bc526b2f9cc5f740ca946036252a26e0599a6466e2487c9ebb00ee9c5d207347de7b33a466afad3b563547948eb678a9b06b21b8
 SHA512 
8b9b7ae911f10ef54de341df0ddd4fb044e118d9e5302313de3314ba887dff44daa967af3689ed69cba75b2374d8b03dfdf21b11695c1d97204ca6fd42868b7e
+DIST typescript-5.7.3.tgz 4232501 BLAKE2B 
12165981b51cd343aac582d05c6d57c94773c9deefaf0b18ddfed404bbdb889fb948c289399275061d897479478ed5df05ab4de9844e6de130435b7f22d83746
 SHA512 
f383154a33041cff854113f2de95fdb13555fc83487b1ef5b3d4cbd869b9146fd61b54aa5de2b267493bfdb958ff815d3b3235d82072d6f19ce2883f7aeb347f

diff --git a/dev-lang/typescript/typescript-5.7.3.ebuild 
b/dev-lang/typescript/typescript-5.7.3.ebuild
new file mode 100644
index 000000000000..145001b5fed2
--- /dev/null
+++ b/dev-lang/typescript/typescript-5.7.3.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Superset of JavaScript with optional static typing, classes and 
interfaces"
+HOMEPAGE="https://www.typescriptlang.org/
+       https://github.com/microsoft/TypeScript/";
+SRC_URI="https://registry.npmjs.org/${PN}/-/${P}.tgz";
+S="${WORKDIR}/package"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64"
+
+RDEPEND="
+       net-libs/nodejs
+"
+BDEPEND="
+       >=net-libs/nodejs-16[npm]
+"
+
+src_compile() {
+       # Skip, nothing to compile here.
+       :
+}
+
+src_install() {
+       local -a myopts=(
+               --audit false
+               --color false
+               --foreground-scripts
+               --global
+               --offline
+               --omit dev
+               --prefix "${ED}/usr"
+               --progress false
+               --verbose
+       )
+       npm "${myopts[@]}" install "${DISTDIR}/${P}.tgz" || die "npm install 
failed"
+
+       dodoc *.md *.txt
+}

Reply via email to